LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 02-26-2001, 03:43 PM   #1
ashleyfrazer
LQ Newbie
 
Registered: Feb 2001
Location: London
Distribution: Red Hat Linux 9.0
Posts: 23

Rep: Reputation: 15

Hi
I have a new GrafixStar 670 by VideoLogic and the SAMS publisher caopy of Red Hat 7.0. When I run the graphical installer or run the text installer and go into GNome or KDE I get lots of screen corruption when screens are moved (Dragged) or scrolled. I think the problem is the Graphics card driver but I need help figuring out what. Should I download the latest copy of XFree86 - assuming the book has an older version?

I have another (unopened) copy of Red Hat 7.0 but I would like to get a basic setup working first.

Ashley
 
Old 02-26-2001, 04:04 PM   #2
cawaker
LQ Newbie
 
Registered: Jan 2001
Posts: 13

Rep: Reputation: 0
the best thing to do would be to check http://www.xfree.org and check the compatibilty page, it'll list the graphics cards and the correct xfree driver to use. also check redhat.com compatibilty page to see if the card is compatible with RH 7.
 
Old 02-26-2001, 04:43 PM   #3
ashleyfrazer
LQ Newbie
 
Registered: Feb 2001
Location: London
Distribution: Red Hat Linux 9.0
Posts: 23

Original Poster
Rep: Reputation: 15
Thanks for the reply

ok - the mist begins to clear a bit.

I looked up the Hardware Compatibility and the card is covered under Savage4 (its full name is S3 Savage4Pro). BUT from Red Hat's site the XServer I need to use is 3.3.6. This explains why I can get the system working using a free copy of Turbo Linux from a magazine - they must install the older version.

Question: How do I tell the current installation to use the older version of the XServer (assuming it is installed)?

Also, I found out that the latest version of the XServer 4.0.2 contains a new driver for Savage 4. But I don't know which files to download - I need to get a hold of a shell script, run it and then download files that the shell script tells me I need. The problem here is that I can't get the XServer up to log on to the internet (via Netscape) and do the dowmload (I suppose ftp might be possible)

any thoughts?
 
Old 02-26-2001, 05:36 PM   #4
jeremy
root
 
Registered: Jun 2000
Distribution: Debian, Red Hat, Slackware, Fedora, Ubuntu
Posts: 10,311

Rep: Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611Reputation: 2611
You could use lynx or wget to download the file.
 
Old 02-27-2001, 01:54 PM   #5
ashleyfrazer
LQ Newbie
 
Registered: Feb 2001
Location: London
Distribution: Red Hat Linux 9.0
Posts: 23

Original Poster
Rep: Reputation: 15
More News

ok - thanks for the replies.

I decided on a slightly different course of action as an experiment. Took a magazine copy of Mandrake 7.2 (which advertises "all the latest drivers for 3D graphics cards") Found out how to mount the CD etc and them ran the RPM with -U to upgrade XF86. It moaned that some programs needed a certain library (libXpm.so.4). I made sure the library was in the path and then realised it was trying to tell me that programs depended on the library and therefore it couldn't be changed (or there was a problem). Therefore (as this is a test) forced the upgrade through.

Result: I can log in to Gnome and I no longer have any corruption when I move the windows around. BUT hold the Champagne - on the down side non of the programs that RPM was moaning about work now! oops. The screen saver won't cut in but many of the applets, calculator etc work. Non of the stuff in games works - havn't tested it all yet. I did have a look at Lynx (thanks for that) - I need to set up the modem to connect to my ISP first - I have done this once before so I am hoping it will not be too bad.

Thanks again for the help - any idea how I can do a clean upgrade - without breaking anything? oh - BTW XConfigurator now crashes with a segmentation fault when I run it!

Thanks

Ashley
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
video cards samjkd General 1 04-28-2005 08:17 PM
video cards meinzorn Linux - Hardware 1 09-07-2004 12:20 PM
video cards w/ TV out bennyp Linux - Hardware 1 05-04-2003 04:41 AM
2 video cards? cli_man Linux - Hardware 9 09-01-2002 03:06 PM
Zero video cards Slacker_ca Linux - General 1 12-18-2001 03:30 AM


All times are GMT -5. The time now is 10:40 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration